Get the signed-in account
curl --request GET \
--url https://api.kintra.io/api/v1/user/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/user/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/user/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"auth_provider": "<string>",
"auth_provider_id": "<string>",
"email": "<string>",
"id": "<string>",
"status": "<string>",
"tenant_users": [
{
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"users_tenant_roles": [
{
"tenant_role": {
"id": "<string>",
"role_name": "<string>"
}
}
],
"cohort_metadata": "<unknown>",
"xp_status": "<string>"
}
],
"username": "<string>",
"users_internal_roles": [
{
"internal_role": {
"id": "<string>",
"role_name": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"internal_wallets": [
{
"address": "<string>",
"id": "<string>",
"user_id": "<string>",
"wallet_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Account
Get the signed-in account
Returns the account behind the current session with its id, username, email, status and onboarding_status, the tenants it belongs to under tenant_users, and the roles it holds. Returns 401 when the session is not valid.
GET
/
user
/
me
Get the signed-in account
curl --request GET \
--url https://api.kintra.io/api/v1/user/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/user/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/user/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"auth_provider": "<string>",
"auth_provider_id": "<string>",
"email": "<string>",
"id": "<string>",
"status": "<string>",
"tenant_users": [
{
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"users_tenant_roles": [
{
"tenant_role": {
"id": "<string>",
"role_name": "<string>"
}
}
],
"cohort_metadata": "<unknown>",
"xp_status": "<string>"
}
],
"username": "<string>",
"users_internal_roles": [
{
"internal_role": {
"id": "<string>",
"role_name": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"internal_wallets": [
{
"address": "<string>",
"id": "<string>",
"user_id": "<string>",
"wallet_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}⌘I

